clear
clc

%--------------------------------------------------------------------------
% Signal selection
%--------------------------------------------------------------------------
alias = 'a'; % a, b, c
medium = 'saliva'; % saliva, water, yogurt
trial = '1'; % 1,2,3

% Loading signals ----------------------------------
path = ['data/' alias '_' medium '_' trial '_demeaned_data' ];
load(path)
T_max = demeaned_data.t(end);

%--------------------------------------------------------------------------
% Plots
%--------------------------------------------------------------------------
figure
plot(demeaned_data.t, demeaned_data.v)

grid on
xlim([0 T_max])
xlabel('Time (s)')
ylabel('Magn. flux dens. (nT)')
legend({'Demeaned signal'}, 'Location', 'Northeast')
title(['Measurement result - Subject ' alias ', ' medium ', trial ' trial])